<?php
/**
 * Daisycon affiliatemarketing api program model
 *
 * @category  Daisycon
 * @package   Daisycon_Affiliatemarketing
 * @copyright Copyright (c) 2018 Daisycon B.V.
 * @author    Daisycon B.V. <support@daisycon.com>
 *
 * @property int $id
 * @property int $advertiser_id
 * @property string $name
 * @property array $descriptions
 * @property string $url
 * @property string $display_url
 * @property string $logo
 * @property int $tracking_duration
 * @property string $tracking_segment
 * @property string $startdate
 * @property string $enddate
 * @property int $primary_category_id
 * @property array $category_ids
 * @property array $locale_ids
 * @property array $supply_locale_ids
 * @property string $status
 * @property string $incentive_date
 * @property string $keywordmarketing
 * @property string $emailmarketing
 * @property string $socialmedia
 * @property string $cashback
 * @property string $publisher_tag
 * @property string $productfeed
 * @property string $deeplink
 * @property array $deeplink_ads
 * @property array $provides_data
 * @property array $commission
 * @property array $score
 * @property string $type
 * @property int $transaction_approval_time
 */
class Daisycon_Affiliatemarketing_Model_Api_Resource_Advertiser_Program
    extends Daisycon_Affiliatemarketing_Model_Api_Resource_Abstract
{
    /**
     * @var array
     */
    protected $_assignable = array(
        'id',
        'advertiser_id',
        'name',
        'descriptions',
        'url',
        'display_url',
        'logo',
        'tracking_duration',
        'tracking_segment',
        'startdate',
        'enddate',
        'primary_category_id',
        'category_ids',
        'locale_ids',
        'supply_locale_ids',
        'status',
        'incentive_date',
        'keywordmarketing',
        'emailmarketing',
        'socialmedia',
        'cashback',
        'publisher_tag',
        'productfeed',
        'deeplink',
        'deeplink_ads',
        'provides_data',
        'commission',
        'score',
        'type',
        'transaction_approval_time',
    );

    /**
     * Advertiser program service url
     *
     * @var string
     */
    protected $_url = 'advertisers/{advertiser_id}/programs';
}
