<?php
/**
 * Abstract system config model
 *
 * @category  Daisycon
 * @package   Daisycon_Affiliatemarketing
 * @copyright Copyright (c) 2018 Daisycon B.V.
 * @author    Daisycon B.V. <support@daisycon.com>
 */
abstract class Daisycon_Affiliatemarketing_Model_System_Config_Source_Abstract extends Varien_Object
{
    /**
     * All options
     *
     * @var array|null
     */
    protected $_options = null;

    /**
     * Get all options with label and value
     *
     * @return array
     */
    abstract public function toOptionArray();

    /**
     * Get all options as a key value pair
     *
     * @return array
     */
    public function getOptions()
    {
        $result = array();
        $options = $this->toOptionArray();
        foreach ($options as $option) {
            if (true === isset($option['label']) && true === isset($option['value'])) {
                $result[$option['value']] = $option['label'];
            }
        }

        return $result;
    }

}
